<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/linearLayout3"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/light_gray">

    <LinearLayout
        android:id="@+id/linearLayout4"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:background="@color/light_gray"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@color/red"
            android:gravity="center"
            android:text="@string/cart"
            android:visibility="gone"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold" />

        <LinearLayout
            android:id="@+id/linearLayout"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginBottom="1dp"
            android:background="@color/white"
            android:visibility="gone"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.3"
                android:gravity="center"
                android:text="@string/total_amount"
                android:textColor="@color/red"
                android:textSize="30sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/textPrice"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:text="0"
                android:textColor="@color/red"
                android:textSize="30sp"
                android:textStyle="bold" />
        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerDialogBuyList"
            android:layout_width="match_parent"
            android:layout_height="380dp"
            />

        <LinearLayout
            android:id="@+id/layoutButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="10dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:orientation="horizontal">

            <Button
                android:id="@+id/buttonPaymentTransactions"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textSize="24sp"
                android:text="@string/payment_transactions" />

            <View
                android:layout_width="10dp"
                android:layout_height="10dp"
                android:visibility="visible" />

            <Button
                android:id="@+id/buttonVerificationPickup"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textSize="24sp"
                android:text="@string/pickup_by_number" />

            <View
                android:layout_width="10dp"
                android:layout_height="10dp"
                android:visibility="gone" />

            <Button
                android:id="@+id/buttonMemberTransactions"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:visibility="gone"
                android:textSize="24sp"
                android:text="@string/members_area" />
        </LinearLayout>
        <LinearLayout
            android:id="@+id/layoutPaymentTransactions"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:visibility="visible"
            android:orientation="vertical">

            <GridLayout
                android:id="@+id/gridPaymentIcons"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:columnCount="2"
                android:rowCount="3"
                android:padding="0dp"
                android:orientation="horizontal">

                <ImageButton
                    android:id="@+id/buttonNfcCard"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_columnWeight="1"
                    android:background="@null"
                    android:scaleType="fitCenter"
                    android:src="@drawable/pay_nfc_card1" />

                <ImageButton
                    android:id="@+id/buttonNfcRecharge"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_columnWeight="1"
                    android:background="@null"
                    android:scaleType="fitCenter"
                    android:src="@drawable/pay_nfc_recharge1" />

                <ImageButton
                    android:id="@+id/buttonNfcPhone"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_columnWeight="1"
                    android:background="@null"
                    android:scaleType="fitCenter"
                    android:src="@drawable/pay_nfc_phone1" />

                <ImageButton
                    android:id="@+id/buttonEsunPay"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_columnWeight="1"
                    android:background="@null"
                    android:scaleType="fitCenter"
                    android:src="@drawable/pay_other0" />

                <ImageButton
                    android:id="@+id/buttonTapPay"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_columnWeight="1"
                    android:background="@null"
                    android:scaleType="fitCenter"
                    android:src="@drawable/esun_pay_barcode" />

                <ImageButton
                    android:id="@+id/buttonCash"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_columnWeight="1"
                    android:background="@null"
                    android:scaleType="fitCenter"
                    android:src="@drawable/pay_cash1" />

                <ImageButton
                    android:id="@+id/buttonLinePay"
                    android:layout_width="0dp"
                    android:layout_height="200dp"
                    android:layout_columnWeight="1"
                    android:background="@null"
                    android:scaleType="fitCenter"
                    android:visibility="gone"
                    android:src="@drawable/linepay_qrcode"      />

            </GridLayout>


        </LinearLayout>
        <LinearLayout
            android:id="@+id/layoutVerificationPickup"
            android:layout_width="match_parent"
            android:layout_height="400dp"
            android:layout_gravity="center"
            android:visibility="gone"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:layout_gravity="start"
                android:orientation="horizontal">

                <ImageButton
                    android:id="@+id/buttonAccessCode"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:layout_weight="1"
                    android:background="@null"
                    android:contentDescription="TODO"
                    android:scaleType="fitCenter"
                    android:src="@drawable/checkout_access_code"
                    android:text="@string/passcode" />


                <ImageButton
                    android:id="@+id/buttonFreeGift"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:layout_weight="1"
                    android:background="@null"
                    android:contentDescription="TODO"
                    android:scaleType="fitCenter"
                    android:visibility="gone"
                    android:src="@drawable/freegift"
                    android:text="@string/gifts" />

                <View
                    android:id="@+id/placeholderView21"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:visibility="visible" />


            </LinearLayout>
        </LinearLayout>
        <LinearLayout
            android:id="@+id/layoutMemberTransactions"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_gravity="center"
            android:visibility="gone"
            android:orientation="vertical">
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center"
            android:orientation="horizontal">

            <Button
                android:id="@+id/buttonCancel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="@string/cancel_40"
                android:textSize="24sp"
                android:textColor="@color/black" />

            <Button
                android:id="@+id/buttonAddProduct"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="@string/add_to_cart"
                android:textColor="@color/black"
                android:textSize="24sp"
                android:visibility="visible" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>